%define require_ibus_version 1.3.99

Name:		ibus-gucharmap
Version:	1.4.0
Release:	1%{?dist}
Summary:	Unicode input engine (using Gucharmap) for IBus platform

License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://github.com/ueno/ibus-gucharmap/
Source0:	https://github.com/downloads/ueno/ibus-gucharmap/%{name}-%{version}.tar.gz

BuildRequires:	vala
BuildRequires:	gucharmap-devel
BuildRequires:	sqlite-devel
BuildRequires:	ibus-devel >= %{require_ibus_version}
# for regenerating configure script
# BuildRequires:	intltool, libtool, gnome-common, gettext-devel
Requires:	ibus >= %{require_ibus_version}

%description
A Unicode input engine (using Gucharmap) for IBus, which supports
character-map view and searching by Unicode names with easy key
navigation.

%prep
%setup -q -n %{name}-%{version}
# NOCONFIGURE=yes ./autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_libexecdir}/ibus-engine-gucharmap
%{_libexecdir}/ibus-setup-gucharmap
%{_datadir}/ibus/component/gucharmap.xml
%{_datadir}/ibus-gucharmap/unicodenames.sqlite3
%{_datadir}/ibus-gucharmap/setup/ibus-gucharmap-preferences.ui

%changelog
* Mon Jul 11 2011 Daiki Ueno <dueno@redhat.com> - 1.4.0-1
- new upstream release
- drop defattr from %%files

* Mon Jul  4 2011 Daiki Ueno <dueno@redhat.com> - 1.3.99.20110704-0.1.gitc94104372
- initial packaging for Fedora
